<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: war_details.php
| Author: ZEZoar
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (!isset($_GET['warid']) || !isnum($_GET['warid'])) { redirect(FUSION_SELF."?page=wars"); }
$delpart = !isset($_GET['delpart']) || !isnum($_GET['delpart']) ? 0 : $_GET['delpart'];
$editpart = !isset($_GET['editpart']) || !isnum($_GET['editpart']) ? 0 : $_GET['editpart'];
if (!$_GET['warid']) { redirect(FUSION_SELF.'?page=wars'); }

$date_now=time();
if (isset($_POST['save'])) {
	if ($editpart && (!iADMIN || !checkrights('ZWAR'))) { redirect(FUSION_SELF."?page=wars"); }
	$part_user_id = $editpart ? $editpart : $userdata['user_id'];
	if (!isNum($_POST['part_status'])) { redirect(FUSION_SELF.'?page=war_details&amp;warid='.$_GET['warid']); }
	$part_status = $_POST['part_status'];
	$part_comment=stripinput($_POST['part_comment']);
	if (!dbcount("(*)", DB_ZWAR_PARTS, "part_user_id='$part_user_id' AND part_war_id='".$_GET['warid']."'") && !$editpart) {
		$result = dbquery("INSERT INTO ".DB_ZWAR_PARTS." (part_user_id, part_war_id, part_status, part_comment, part_date) VALUES ('$part_user_id', '".$_GET['warid']."', '$part_status', '$part_comment', '$date_now')");
	} else {
		$result = dbquery("UPDATE ".DB_ZWAR_PARTS." SET part_status='$part_status', part_comment='$part_comment', part_date='$date_now' WHERE part_user_id='$part_user_id' AND part_war_id='".$_GET['warid']."'");
	}
	redirect(FUSION_SELF."?page=war_details&amp;warid=".$_GET['warid']);
} else if (isset($_POST['cancel'])) {
	redirect(FUSION_SELF."?page=war_details&amp;warid=".$_GET['warid']);
} else if (isset($_POST['go_zwar_option'])) {
	$teamid = isnum($_POST['zwar_option_squad']) ? $_POST['zwar_option_squad'] : 0;
	if (isset($_POST['zwar_options']) && $_POST['zwar_options']=='finish') {
		if (checkrights("ZWAR")) {$zwar_aidlink = $aidlink;} else {$zwar_aidlink = "?aid=0";}
		redirect(INFUSIONS."zwar_warscript/zwar_admin_panel.php".$zwar_aidlink."&pagefile=finishwar&action=finish&warid=".$_GET['warid']);
	} elseif (isset($_POST['zwar_options']) && $_POST['zwar_options']=='unfinish') {
		if (checkrights("ZWAR")) {$zwar_aidlink = $aidlink;} else {$zwar_aidlink = "?aid=0";}
		redirect(INFUSIONS."zwar_warscript/zwar_admin_panel.php".$zwar_aidlink."&pagefile=finishwar&action=unfinish&warid=".$_GET['warid']);
	} elseif (isset($_POST['zwar_options']) && $_POST['zwar_options']=='edit') {
		if (checkrights("ZWAR")) {$zwar_aidlink = $aidlink;} else {$zwar_aidlink = "?aid=0";}
		redirect(INFUSIONS."zwar_warscript/zwar_admin_panel.php".$zwar_aidlink."&pagefile=editwars&action=modify&warid=".$_GET['warid']);
	} elseif (isset($_POST['zwar_options']) && $_POST['zwar_options']=='delete') {
		if (checkrights("ZWAR")) {$zwar_aidlink = $aidlink;} else {$zwar_aidlink = "?aid=0";}
		redirect(INFUSIONS."zwar_warscript/zwar_admin_panel.php".$zwar_aidlink."&pagefile=editwars&action=delete&warid=".$_GET['warid']);
	}
} else if ($delpart) {
	if (checkrights("ZWAR")) {
		$result = dbquery("DELETE FROM ".DB_ZWAR_PARTS." WHERE part_id='".$delpart."'");
		redirect(FUSION_SELF."?page=war_details&amp;warid=".$_GET['warid']);
	}
} else {
	if ((isset($_POST['apply']) && iMEMBER && checkgroup($zwar_settings_array['zwar_group_warmember'])) || $editpart && checkrights('ZWAR')) {
		echo "<div class='zwar-body'>";
		add_to_title("&nbsp;-&nbsp;".($editpart ? $locale['zwar_0003'] : $locale['zwar_0004']));
		$formaction = FUSION_SELF."?page=war_details&amp;warid=".$_GET['warid'].($editpart ? "&amp;editpart=".$editpart : "");
		$part_user_id = $editpart ? $editpart : $userdata['user_id'];
		$result = dbquery("SELECT * FROM ".DB_ZWAR_PARTS." AS zpa LEFT JOIN ".DB_USERS." AS u ON zpa.part_user_id=u.user_id WHERE part_user_id='$part_user_id' AND part_war_id='".$_GET['warid']."' LIMIT 1");
		if (dbrows($result)) {
			$data = dbarray($result);
			$part_comment = $data['part_comment'];
			$part_status = $data['part_status'];
		} else {
			$part_comment = "";
			$part_status = "";
		}
		$options_list = "<option value='1' ".($part_status==1 ? "selected" : "").">".$locale['zwar_0203']."</option>
		<option value='0' ".($part_status==0 ? "selected" : "").">".$locale['zwar_0204']."</option>
		<option value='2' ".($part_status==2 ? "selected" : "").">".$locale['zwar_0205']."</option>";
		$title = ($editpart ? $data['user_name'] : $userdata['user_name']);

		opentable($editpart ? $locale['zwar_0003'] : $locale['zwar_0004']);
		render_zwar_warappform($formaction, $title, $options_list, $part_comment);
		closetable();
	}
	$result = dbquery("SELECT * FROM (((((((".DB_ZWAR_WARS." AS zw LEFT JOIN ".DB_ZWAR_OPPONENTS." AS zop ON zw.war_opp_id=zop.opp_id) LEFT JOIN ".DB_ZWAR_SERVERS." AS zse ON zw.war_server_id=zse.server_id) LEFT JOIN ".DB_ZWAR_GAMES." AS zga ON zw.war_game_id=zga.game_id) LEFT JOIN ".DB_ZWAR_GAMETYPES." AS zgt ON zw.war_gametype_id=zgt.gametype_id) LEFT JOIN ".DB_ZWAR_MATCHTYPES." AS zmt ON zw.war_matchtype_id=zmt.matchtype_id) LEFT JOIN ".DB_USERS." AS u ON zw.war_added_by=u.user_id) LEFT JOIN ".DB_ZWAR_SQUADS." AS cmg ON zw.war_squad=cmg.group_id) WHERE zw.war_id='".$_GET['warid']."'");
	if (dbrows($result)) {
		$data = dbarray($result);
		$war_array['status_open'] = $date_now<$data['war_date'];
		$war_array['status_finished'] = $data['war_finished'];
		$war_array['status_title'] = ($war_array['status_open'] ? $locale['zwar_0202'] : ($war_array['status_finished'] ? $locale['zwar_0206'] : $locale['zwar_0207']));
		$war_array['gameicon'] = display_zwar_games($data['war_game_id'], true, false);
		$war_array['war_date'] = showdate("%A, %d.%m.%Y", $data['war_date']);
		$war_array['war_time'] = showdate("%R",$data['war_date']);
		$war_array['war_closetime'] = showdate("%d.%m.'%y %R",$data['war_date']-$zwar_settings_array['zwar_closetime']);
		$war_array['available_players'] = dbcount("(*)", DB_ZWAR_PARTS, "part_war_id='".$data['war_id']."' AND part_status='1'");
		$war_array['game_name'] = $data['game_name'];
		$war_array['gametype'] = $data['gametype_name'];
		$war_array['matchtype'] = $data['matchtype_name'];
		$war_array['team'] = $data['war_squad'] ? "<a href='".FUSION_SELF."?page=members&amp;teamid=".$data['war_squad']."'>".$data['group_name']."</a>" : sprintf($locale['zwar_0208'], $data['game_name_short'] ? " ".$data['game_name_short'] : $data['game_name']);
		$war_array['server_name'] = $data['server_name'];
		$war_array['server_ip'] = $data['server_ip'];
		$war_array['server_pass'] = checkgroup($zwar_settings_array['zwar_group_warmember']) ? ($data['war_password']!="" ? $data['war_password'] : "-----") : "&bull;&bull;&bull;&bull;&bull;&bull;";
		$war_array['teamsize'] = $data['war_teamsize'] ? $data['war_teamsize'] : "--";
		$war_array['info'] = (checkgroup($zwar_settings_array['zwar_group_warinfo']) ? ($data['war_info'] ? nl2br(parseubb(parsesmileys($data['war_info']))) : "<br/><center>".$locale['zwar_0209']."</center><br/>") : "<br/><center>".$locale['zwar_0210']."</center><br/>");
		$war_array['added_by'] = "<a href='".BASEDIR."profile.php?lookup=".$data['war_added_by']."'>".$data['user_name']."</a>";
		$war_array['opponent'] = $data['opp_id'] ? "<a href='".FUSION_SELF."?page=opp_info&amp;oppid=".$data['opp_id']."'>".$data['opp_name']."</a>" : $locale['zwar_0007'];
		$war_array['opponent_tag'] = $data['opp_id'] ? "<a href='".FUSION_SELF."?page=opp_info&amp;oppid=".$data['opp_id']."'>".$data['opp_name_short']."</a>" : "";
		$war_array['war_comment'] = $data['war_comment'] ? nl2br(parsesmileys($data['war_comment'])) : $locale['zwar_0225'];
		$result2 = dbquery("SELECT * FROM ".DB_ZWAR_SCORES." AS zsc LEFT JOIN ".DB_ZWAR_LOCS." AS zlo ON zsc.score_location_id = zlo.location_id WHERE score_war_id='".$data['war_id']."'");
		$war_array['ownscore']=0;
		$war_array['oppscore']=0;
		$war_array['locations'] = "";
		$war_array['tracks'] = "";
		$war_array['maps'] = "";
		$war_array['loc_count'] = 0;
		if (dbrows($result2)) {
			while ($data2 = dbarray($result2)) {
				$war_array['loc_count']++;
				$war_array['tracks'] .= ($war_array['tracks'] ? " & " : "").$data2['location_name'];
				$war_array['ownscore']=$war_array['ownscore']+$data2['score_ownscore'];
				$war_array['oppscore']=$war_array['oppscore']+$data2['score_oppscore'];
				$sc_color = $war_array['ownscore'] > $war_array['oppscore'] ? $zwar_settings_array['zwar_colorwon'] : ($war_array['ownscore'] < $war_array['oppscore'] ? $zwar_settings_array['zwar_colorlost'] : $zwar_settings_array['zwar_colordraw']);
				$war_array['maps'] .= "<td class='tbl1' width='1%' style='white-space:nowrap;' align='center'>".$data2['location_name']."<br/>
				<img src='".INFUSIONS."zwar_warscript/images/locs/".$data2['location_pic']."' title='".$data2['location_name']."' alt='".$data2['location_name']."' width='".$zwar_settings_array['zwar_mappics_width']."' height='".$zwar_settings_array['zwar_mappics_height']."' />".(!$war_array['status_open'] && $war_array['status_finished'] ? "<br/><center><font style='color:#".$sc_color.";'>".$data2['score_ownscore']."&nbsp;:&nbsp;".$data2['score_oppscore']."</font></center>" : "")."</td>".($war_array['loc_count'] % 3 == 0 ? "</tr><tr>" : "");				
			}
			$war_array['result_title'] = $war_array['ownscore'] > $war_array['oppscore'] ? $locale['zwar_0008'] : ($war_array['ownscore'] < $war_array['oppscore'] ? $locale['zwar_0009'] : $locale['zwar_0010']);
		}
		
		if (iMEMBER &&  checkgroup($zwar_settings_array['zwar_group_warmember'])) {
			if ($war_array['status_open']) {
				$part_user_id=$userdata['user_id'];
				$applied = dbcount("(part_id)", DB_ZWAR_PARTS, "part_user_id='$part_user_id' AND part_war_id='".$_GET['warid']."'");
				$war_array['applylink'] = "<input type='submit' name='apply' class='button' value='".($applied ? $locale['zwar_0002'] : $locale['zwar_0004'])."' />";
			} else {
				$war_array['applylink'] = "";
			}
		} else {
			$war_array['applylink'] = $locale['zwar_0212'];
		}
		opentable($locale['zwar_0213']);
		echo "<div class='zwar-body'>";
		add_to_title("&nbsp;-&nbsp;".$locale['zwar_0213']);
		echo "<form name='inputform' method='post' action='".FUSION_SELF."?page=war_details&amp;warid=".$_GET['warid']."'>";
		render_zwar_details($war_array);
		if (iMEMBER) {
			get_war_parts($_GET['warid']);
		}
		echo "</form>";
		render_zwar_break(10);
		$zwar_options = "";
		if (checkrights('ZWAR') || ($data['war_squad'] && in_array($data['war_squad'], zwar_getForLevel(11, "teams"))) || (!$data['war_squad'] && in_array($data['war_game_id'], zwar_getForLevel(11, "games")))) {
			$zwar_options = "<option value='edit'>".$locale['zwar_0220']."</option>";
			if (!$war_array['status_open']) {
				$zwar_options .= "<option value='finish'>".$locale['zwar_0221']."</option>";
				if ($war_array['status_finished']) {echo "<option value='unfinish'>".$locale['zwar_0226'] ."</option>";}
				
			}
			$zwar_options .= "<option value='delete'>".$locale['zwar_0222']."</option>";
		}
		echo "<form name='zwar_optform' method='post' action='".FUSION_SELF."?page=war_details&amp;warid=".$_GET['warid']."' onsubmit=\"return askifdel();\">";
		render_zwar_matchoptions($zwar_options, $data['war_squad']);
		echo "</form></div>";
		closetable();
		if (checkgroup($zwar_settings_array['zwar_group_war_comments'])) {
			include INCLUDES."comments_include.php";
			showcomments("Z",DB_ZWAR_WARS,"war_id",$_GET['warid'],FUSION_SELF."?page=war_details&amp;warid=".$_GET['warid']);
		}
	} else {
		redirect(FUSION_SELF."?page=wars");
	}
	echo "<script type='text/javascript'>
	function askifdel() {
	if (document.zwar_optform.zwar_options.value=='delete') {
	return confirm('".$locale['zwar_0224']."');
	} else {
	return true;
	}
	}\n
	</script>";
}
?>